TAU_DB_DUMP_PREFIX(3)

NAME
TAU_DB_DUMP_PREFIX - Dumps the profile database into profile files with a given prefix

SYNOPSIS

C/C++:

TAU_DB_DUMP_PREFIX(char *prefix);

Fortran:

TAU_DB_DUMP_PREFIX(character prefix(size));

DESCRIPTION

The TAU_DB_DUMP_PREFIX macro dumps all profile data to disk and records a checkpoint or a snapshot of the profile statistics at that instant. The dump files are named <prefix>.<node>.<context>.<thread>. If prefix is "profile", the files are named profile.0.0.0, etc. and may be read by paraprof/pprof tools as the application executes.

EXAMPLE

C/C++ :

TAU_DB_DUMP_PREFIX("prefix");

Fortran :

call TAU_DB_DUMP_PREFIX("prefix")

SEE ALSO

TAU_DB_DUMP(3)